Fetch a Push Notification Operation
This operation fetches a single Push Notification Operation using its ID.
Data retention: Records are available for 7 days after creation. Requests for data older than 7 days may return incomplete results.
Authentication
Basic authentication of the form Basic <account_id:auth_token>.
Basic authentication of the form Basic <api_key:api_key_secret>.
Path parameters
Response
Represents the stats of a sending operation of one or many Push Notifications.
-
totalis the total number ofPush Notificationsin theOperation.- To get the status for each
Push Notification, fetch the resource with:GET /PushNotifications/{pushNotificationId}.
- To get the status for each
-
recipientsis the total number of recipients targeted in an Operation. -
unaddressableis the number of recipients to which no sending attempts were made because a valid token could not be found in the recipient’sDevice Registrationset for theCredentialsorAppprovided. -
scheduledis the number ofPush Notificationsthat are scheduled to be sent by Twilio in the future. -
queuedis the number ofPush Notificationsthat are queued in Twilio for sending. -
sentis the number ofPush Notificationsthat have been sent by Twilio. -
failedis the number ofPush Notificationsthat failed during processing by Twilio. GetErrorswithGET /PushNotifications/Operations/{operationId}/Errorsfore more detail. -
canceledis the number ofPush Notificationsthat were canceled via API request.